part of modern_form_core;

class ModernFormFilterProfileIten extends StatelessWidget {
  final String? image;
  final String? label;
  final String? subTitle;
  final void Function()? onTap;
  final TextStyle? titleStyle;
  final double? maxWidth;

  const ModernFormFilterProfileIten({
    Key? key,
    this.image,
    this.label,
    this.subTitle,
    this.onTap,
    this.titleStyle,
    this.maxWidth,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(top: ScreenUtil().setSp(15)),
      child: InkWell(
        onTap: onTap,
        child: Row(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            if (image != null && image!.isNotEmpty)
              Row(
                children: [
                  Container(
                    height: ScreenUtil().setHeight(50),
                    width: ScreenUtil().setWidth(90),
                    child: ClipRRect(
                      borderRadius: BorderRadius.circular(6),
                      child: ImageWidget(imageUrl: image, fit: BoxFit.cover),
                    ),
                  ),
                  SizedBox(width: ScreenUtil().setWidth(7)),
                ],
              ),
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                ModernFormConstrainedText(
                  label ?? "",
                  style:
                      titleStyle ?? TextStyle(fontSize: ScreenUtil().setSp(14)),
                  selectableDisabled: true,
                  maxWidth: maxWidth,
                ),
                SizedBox(height: ScreenUtil().setSp(2)),
                ModernFormConstrainedText(
                  subTitle ?? "",
                  style: TextStyle(fontSize: ScreenUtil().setSp(12)),
                  selectableDisabled: true,
                  maxWidth: maxWidth,
                ),
              ],
            )
          ],
        ),
      ),
    );
  }
}
