import 'dart:typed_data';
import 'package:modern_form/modern_form_core.dart';

import '../youtube/helper.dart';

class ModernFormVideoPlatformHelper {
  static Future<void> shareVideo(Uint8List bytes, String? text,
      {String? title}) async {
    await ModernFormShareHelper.file(
      title ?? '',
      'video.mp4',
      bytes.toList(),
      'video/mp4/mp3',
      text: text ?? "",
    );
  }

  static YoutubeHelper factoryYoutubeHelper() => YoutubeHelper();

  static Future<Uint8List?> downloadFromYoutube(String url,
          [void Function(int, int)? onBytesReceived, bool? force]) =>
      factoryYoutubeHelper().downloadFromYoutube(url, onBytesReceived, force);

  static Future<int?> getYoutubeDownLoadLength(String url) =>
      factoryYoutubeHelper().getYoutubeDownLoadLength(url);
}
