import 'dart:typed_data';

import 'package:youtube_explode_dart/youtube_explode_dart.dart';

import '../../../../../modern_form_videos.dart'
    show ModernFormVideoPlatformHelperWebUtils;
import '../youtube/helper.dart';
import 'youtube_http_client_with_proxy.dart';

class ModernFormVideoPlatformHelper {
  static String? proxyUrl = ModernFormVideoPlatformHelperWebUtils.corsProxy;

  static YoutubeHttpClient? factoryYoutubeHttpClient() {
    if (proxyUrl != null && proxyUrl!.isNotEmpty) {
      YoutubeHttpClient youtubeHttpClient =
          YoutubeHttpClientWithProxy(proxyUrl!);
      return youtubeHttpClient;
    } else {
      return null;
    }
  }

  static YoutubeHelper factoryYoutubeHelper() =>
      YoutubeHelper(factoryYoutubeHttpClient());

  static Future<void> shareVideo(Uint8List bytes, String text) async {}

  static Future<Uint8List?> downloadFromYoutube(String url,
          [void Function(int, int)? onBytesReceived, bool? force]) =>
      factoryYoutubeHelper().downloadFromYoutube(url, onBytesReceived, force);

  static Future<int?> getYoutubeDownLoadLength(String url) =>
      factoryYoutubeHelper().getYoutubeDownLoadLength(url);
}
